Bug 265023 - cannot create files in project folder on FTP
Summary: cannot create files in project folder on FTP
Status: RESOLVED FIXED
Alias: None
Product: kio
Classification: Unclassified
Component: ftp (show other bugs)
Version: 0.1
Platform: Gentoo Packages Linux
: NOR normal with 20 votes (vote)
Target Milestone: ---
Assignee: David Faure
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-02-01 00:04 UTC by Alexander Potashev
Modified: 2011-08-10 09:26 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Potashev 2011-02-01 00:04:12 UTC
Version:           1.2.60 (using KDE 4.6.0) 
OS:                Linux



Reproducible: Didn't try

Steps to Reproduce:
1. start an FTP server with public access
2. create a folder on FTP (you can also put some files into it)
3. run KDevelop, click "Project > Open/Import project..." and import the project from that folder (I needed to add a new network folder in order to access FTP from the KDE file dialog)
4. click right mouse button on the root item in "Projects" tool view and select "Create File", go ahead and try to create a file with any name.

Actual Results:  
You will get something like "The file ftp://myhost:40021/source-code/project-1/abc.cpp exists already."

Expected Results:  
Successfully created file. By the way, I can create the same file in Dolphin.

Probably related issue:
At http://kde.ru/xforum/index.php?topic=326.0 another person reports (in Russian) that KDevelop "could not store developer specific project information" for a project opened directly from FTP. I can also confirm this.
Comment 1 Aleix Pol 2011-08-07 07:37:00 UTC
As we see in the line kdelibs/kioslave/ftp/ftp.cpp:1307, the kio ftp is returning it already exists even though it doesn't.
Comment 2 Aleix Pol 2011-08-10 09:26:43 UTC
Git commit 092586db4b706bce28fa68308c7e76e0cccf0205 by Aleix Pol.
Committed on 10/08/2011 at 11:25.
Pushed by apol into branch 'master'.

Properly check if files are present before creating a file.

Thanks to Albert Astals to looking through this bug :)

BUG: 265023

M  +1    -1    project/helper.cpp

http://commits.kde.org/kdevplatform/092586db4b706bce28fa68308c7e76e0cccf0205